Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 7 de 7

Tema: ayuda con laptop HP dv6420la y driver Nvidia

  1. #1
    Fecha de Ingreso
    06-noviembre-2007
    Ubicación
    Chiclayo - Perú
    Mensajes
    826
    Post Thanks / Like
    Poder de Credibilidad
    12

    ayuda con laptop HP dv6420la y driver Nvidia

    Saludos:

    He estado bastante ocupado toda la semana, pero al fin acabé con lo que tenía que hacer y me compraron una laptop HP dv6420 a la que quiero instalarle OpenSuse 10.3 x86_64.

    Características Principales:

    Procesador: AMD Turion™ 64 X2 TL-56 con tecnología móvil (1.8-GHz, 512KB + 512KB L2 cache)
    Disco Duro: 160GB
    Memoria: 1.5 GB
    Video: Nvidia GForce Go 6150

    Las características completas están aquí:

    Vino con WinVista preinstalado, el cual borré con el formateo para instalar OpenSuse, justo cuando estaba en el proceso de instalación de "configurar la hora", se colgó el sistema. Busqué info y noté que debía colocar parámetros; asi me fijé en la guía de instalación de Debian para este mismo modelo de portatil.

    http://blog.leugim.com.mx/index.php/...n-hp-dv6420la/

    2. Bootear desde el CD-ROM y agregar parámetros al kernel.
    Cuando salga el prompt de linux escribir:

    Press F1 for help, or ENTER to boot: install noapic nolapic noriqpoll

    Esto evitará que la máquina se congele a mitad del proceso de instalación o que el entorno gráfico no arranque
    Ahora sí instaló sin problemas (yo pensaba que sería "noirqpoll", pero ya no lo probé porque me funcionó así), con lo cual procedo a actualizar todo el sistema.

    Luego de un par de horas tengo OpenSuse 10.3 x86_64 completamente actualizado (del repositorio "updates", incluido el nuevo kernel 2.6.22.17-0.1-default). Pero cuando inserto una memoria USB, NO LA RECONOCE. ¿Qué raro?, bueno, modifico el "boot/grub/menu.lst" para borrar los parámetros "nolapic" y el "noriqpoll" aunque dejando el "noapic". Ahora si me reconoce las memoria USB algunas veces sí, algunas veces no ¬¬ , también probé el control remoto y OK, los botones de arriba y OK, cerré la tapa y volví a abrirla y OK.

    Ahora viene lo que me ha estado haciendo sufrir mucho. Drivers Nvidia.

    - Primero instalo con el Yast los drivers "x11-video-nvidiaG01" y el otro se marca de forma automática. Reinicio y tengo aceleración 3D, PERO al ejecutar "Sax2" me muestra un mensaje de que NO tengo aceleración 3D. PERO SI TENGO (probé el juego Chromium). Bueno, ahora cierro la tapa y vuelvo a abrir y PATALLA NEGRA. Solo me queda resetear manteniendo presionado el botón.

    - Desinstalo los drivers y pruebo con el scrip proporcionado por DiabloRojo:
    El identificador de su tarjeta grafica nVidia es PCI ID: 0244


    La version de su Kernel: 2.6.22.17-0.1-default

    La version que soporta su tarjeta grafica NVIDIA es: 171.05

    El driver llamado NVIDIA-Linux-x86_64-171.05-pkg1.run es el que debes instalar
    Puedes descargartelo con la siguiente instruccion:
    wget -Nc ftp://download.nvidia.com/XFree86/Li...71.05-pkg1.run

    Mas informacion: http://www.nvidia.com/object/unix.html
    Procedo a bajar el driver, lo compilo con:
    Código:
    # telinit 3
    # sh NVIDIA-Linux-x86_64-171.05-pkg1.run -q
    # sax2 -m -r 0=nvidia
    Y el resultado es el mismo, la pantalla se queda negra cuando bajo y vuelvo a subir la tapa así como el mensaje de "No tiene aceleración 3D" (pero si que tengo).

    Decidí probar otros drivers:
    - NVIDIA-Linux-x86_64-169.09-pkg2.run [El mismo resultado]
    - NVIDIA-Linux-x86_64-1.0-9755-pkg2.run [No funciona, no cargan las X]
    - Legacy con "One click", [No funciona, no cargan las X]

    Debido a esto no puedo usar la laptop de forma que quisiera (eso de resetear cada vez que cierro la tapa me parece demasiado molesto).

    Pensé que tal vez serían problemas del driver que no es compatible con mi hardware, así que instalé mandriva en otra partición y OH SORPRESA!, La aceleración 3D funciona sin problemas, así también cierro la tapa y vuelvo a levantarla, incluso puedo usar el compiz-fusion. (Aunque la cámara no me la reconoce ¬¬).

    ¿Por qué en Mandriva si funciona correctamente el driver de Nvidia y en OpenSuse no?

    Agradezco cualquier ayuda que me brinden, de verdad quiero usar OpenSuse en mi latop, además es porque uso OpenSuse en mi PC de escritorio por lo que ya me acostumbré.
    Última edición por zchronos; 20-feb-2008 a las 05:57

    "No existen los problemas, tan solo soluciones"
    Linux user #460594

  2. #2
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.291
    Post Thanks / Like
    Poder de Credibilidad
    10
    Cita Iniciado por zchronos
    Video: Nvidia GForce Go 6150
    Estas tarjetas son especiales en el sentido de que nVIDIA NO suele crear drivers que lo soporte 100% ya que son los fabricantes los que modifica esos drivers para adaptarlos a su portátiles. Busca en el foro, que creo recordar que hay algunos temas resueltos con ese chipset.

    Pincha la 2ª opción de este enlace y lee lo que te dice, en mi viejo portatil Compaq con nVIDIA me dice claramente que el driver me lo proporciona HP.
    http://www.nvidia.com/Download/index.aspx?lang=en-us
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  3. #3
    Fecha de Ingreso
    06-noviembre-2007
    Ubicación
    Chiclayo - Perú
    Mensajes
    826
    Post Thanks / Like
    Poder de Credibilidad
    12
    Si, busqué en foro, también en google. Pero al parecer aún no hay solución para mi portatil. Para ser más específico:

    http://www.forosuse.org/forosuse/sho...a+geforce+6150
    * nVidia GeForce 6150 Go (with latest nvidia drivers 8774, 2.6.18-gentoo)
    En mi caso estos drivers ni siquiera se dejan compilar.

    Luego revisando aquí:
    http://www.forosuse.org/forosuse/sho...highlight=6150
    El ultimo driver de nividia actualizable por yast funciona muy bien con las GeForce Go 6150 y las Compaq con turion en general, incluso resuelvo el problema de las librerias mal enlazadas.
    Como dije en mi anterior post, en mi caso no funciona como debería. Pero en el mismo post dice:
    El driver de nvidia mí me funciona perfectamente en mi portátil con una geforce go 6600, si el driver de nvidia que tienes es el penúltimo que salió (9629 si no recuerdo mal) tienes que actualizarlo al actual 9631 porque el anterior tenía problemas al ejecutar ciertas aplicaciones a pantalla completa como el x-moto, el enigma y demás. Ya te digo, yo tengo instalados los últimos que hay y funcionan sin problema alguno
    Parece que estos drivers pertenecen al legacy2. Yo instalé los legacy por medio de "One-clic" pero voy a bajarme los últimos que hay(NVIDIA-Linux-x86_64-96.43.05-pkg2.run) haber si logro solucionarlo.

    Por cierto, edité el post anterior (cuando conecto una memoria USB hay veces en que no la reconoce). Aunque algo muy curioso, se me dio por probar el alpha2 en la portátil Y LOS USB SI FUNCIONAN PERFECTAMENTE, además de que me ahorra mucho tiempo, ya que no tengo que actualizar el KDE. Cielos, usaría el alpha2 si no fuese porque aún tiene muchos bugs y por la falta de codecs para ver videos (además de la carencia de repositorios). Ojo, aún no he probado compilar el driver Nvidia en el alpha2. Primero voy a intentar hacer funcionar correctamente el 10.3 en la portatil.
    Última edición por zchronos; 20-feb-2008 a las 06:09

    "No existen los problemas, tan solo soluciones"
    Linux user #460594

  4. #4
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.291
    Post Thanks / Like
    Poder de Credibilidad
    10
    La versión 175.05 es una BETA, el ultimo es el 169.09 pkg2 , si has ejecutado mi script veras que tu chipset no pertenece a los Legacys.
    Última edición por DiabloRojo; 20-feb-2008 a las 17:59
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  5. #5
    Fecha de Ingreso
    06-noviembre-2007
    Ubicación
    Chiclayo - Perú
    Mensajes
    826
    Post Thanks / Like
    Poder de Credibilidad
    12
    Gracias por responder tan pronto, tal como dices mi chipset no pertenece a los Legacy, pero es que ya no se me ocurría nada más por hacer.

    Últimamente estaba pensando en llamar al soporte de HP para "recomendarle" que presten atención a este modelo de laptop y su compatibilidad con los drivers Nvidia.

    Bueno, al final decidí lidiar con esto, instalé los últimos drivers ESTABLES (NVIDIA-Linux-x86_64-169.09-pkg2.run) así que debo tener cuidado de no cerrar la tapa del portatil y desactivar la suspensión automática en Kpowersave. Solo me queda esperar a que desarrollen un driver más compatible con este modelo de laptop.

    Por si algún otro usuario tiene este mismo modelo de laptop aquí pongo una breve guía de como instalarlo. (La guía de debian también sirve, pero esta es específicamente para OpenSuse).

    Bueno, antes que nada asumo que ya has instalado antes OpenSuse de forma "normal", si aún no lo has hecho te aconsejo que primero leas este documento y luego continúes con éste.

    Pon el DVD de OpenSuse, en este caso será la "10.3 x86_64" (64 bits).

    Elige el idioma "Español" y a continuación presiona F5 para las opciones del Kernel, selecciona NO ACPI. De esta manera evitas que la instalación se congele.

    Hecho esto la instalación debería proceder sin problemas, ahora debes actualizar el yast, OJO, aún no actualices el Kernel ni nada más, ¿por qué? pues porque el 2.6.22 tiene problemas con este modelo de laptop, espera a que carque el entorno gráfico y añade el repositorio HEAD (http://download.opensuse.org/reposit...nSUSE_Factory/), hecho esto actualiza al kernel 2.6.24 (Al momento de escribir este post el último hasta el momento es el 2.6.24.1-76). Si lo haces con el Yast te pedirá que suprimas algo como "uvc" (se refiere a la WebCam), suprimélo para que puedas instalar el nuevo kernel.

    Hecho esto, al iniciar edita el archivo Menu.lst
    Código:
    # vi /boot/grub/menu.lst
    (También puedes usar el "kwrite" en lugar del "vi")

    Busca el texto acpi=off y reemplázalo por noapic, debería quedarte algo similar a esto:
    kernel /boot/vmlinuz-2.6.24.1-76-default root=/dev/disk/by-id/scsi-SATA_WDC_WD1600BEVS-_WD-WXEY07F51193-part5 vga=0x317 noapic resume=/dev/sda6 splash=silent showopts
    initrd /boot/initrd-2.6.24.1-76-default
    Ahora sí, ya tienes tu laptop HP Pavilion dv6420la funcionando con un poderoso OpenSuse de 64 bits. Si quieres instalar el driver Nvidia hazlo sabiendo lo que te espera (lee mis posts anteriores).

    De momento he probado:

    Botones de arriba - OK
    Touchpad - OK
    Control remoto - OK
    Lector de tarjetas - OK
    Mouse USB - OK
    Memorias USB - OK
    Sonido - OK
    (el resto falta probar)


    Antes que me pregunten mejor lo aclaro de una vez:

    Sobre el Kernel
    Cuando yo probé el kernel 2.6.22.17-0.1-default (el último en el repositorio Update) cada vez que insertaba una memoria USB, algunas veces la detectaba y otra veces no, así, con el nuevo kernel 2.6.24 esto ya no sucede y te funcionan bien.

    Con lo que respecta a la Webcam
    Como actualicé al kernel del repositorio HEAD, no podrás añadir los módulos referentes a la webcam desde el Yast, me imagino que tendrán que compilarse manualmente, esto ya lo veré más adelante y actualizaré este post cuando llegue el momento.

    Wireless
    Aún no lo he probado, cuando vaya a mi universidad reviso si funciona por default o si hay que seguir un procedimiento adicional (como lo señala el manual de debian) en todo caso también actualizaré el post cuando llegue su momento.

    Gracias DiabloRojo por ayudarme, seguiré investigando.
    Última edición por DiabloRojo; 22-feb-2008 a las 16:47 Razón: Arreglar enlace que estaba mal

    "No existen los problemas, tan solo soluciones"
    Linux user #460594

  6. #6
    Fecha de Ingreso
    15-agosto-2006
    Mensajes
    645
    Post Thanks / Like
    Poder de Credibilidad
    13
    para que es el cambio de este:
    cpi=off y reemplázalo por noapic
    y no deberíamos pone esto en la sección de FAQ y manuales?

  7. #7
    Fecha de Ingreso
    06-noviembre-2007
    Ubicación
    Chiclayo - Perú
    Mensajes
    826
    Post Thanks / Like
    Poder de Credibilidad
    12
    Si le dejas con acpi=off vas a tener problemas con el sonido y el video (incluso sin instalar el driver nvidia). Por eso debes reemplazarlo por noapic. En un post reciente en este foro también señalan lo mismo.

    Si desean puden moverlo a la sección de manuales. ^_^

    "No existen los problemas, tan solo soluciones"
    Linux user #460594

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. wireless en opensuse 10.2
    By rub in forum Hardware
    Respuestas: 5
    Último mensaje: 27-abr-2009, 05:08
  2. Sax no acepta Nvidia Driver
    By larva_pro in forum General OpenSUSE
    Respuestas: 11
    Último mensaje: 06-ene-2008, 11:51
  3. desesperado drivers ati aceleracion 3d
    By annubis in forum Hardware
    Respuestas: 9
    Último mensaje: 23-nov-2007, 14:12
  4. Tarjeta de video
    By korn_head in forum Hardware
    Respuestas: 5
    Último mensaje: 03-may-2007, 19:24
  5. Respuestas: 5
    Último mensaje: 06-mar-2007, 18:56

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •